GNU bug report logs - #53316
28.0.91; Missing Transient manual in Emacs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philipp Stephani <p.stephani2@HIDDEN>; dated Mon, 17 Jan 2022 13:09:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 23 Feb 2022 12:18:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 23 07:18:54 2022
Received: from localhost ([127.0.0.1]:44144 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nMqbd-0006Jp-Qn
	for submit <at> debbugs.gnu.org; Wed, 23 Feb 2022 07:18:54 -0500
Received: from mail.hostpark.net ([212.243.197.30]:54618)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nMqba-0006Jg-Rh
 for 53316 <at> debbugs.gnu.org; Wed, 23 Feb 2022 07:18:52 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 71D3B165CB;
 Wed, 23 Feb 2022 13:18:49 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1645618727; bh=t8q48mjTKquuTdQcuS/O0cjk
 ffMzhTwOHI5DSpAelu8=; b=2DltnOeMzQcoemGLaqndCRPIL/OycZg6mFVn3vHg
 hhGWMCEihVcVZnfynETmBGf10ABi7xvUBJKt7qheBchTVkMgYrZVQM2mUsjo2+65
 vFvRBVR12wuAWgvmuN79LMO59iVMOjWhohyDcYm8piwBftzp4ofzwb7Gw0HDpkHM
 sR0=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id An4uOU6foHvX; Wed, 23 Feb 2022 13:18:47 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 3999816BAC;
 Wed, 23 Feb 2022 13:18:47 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: rms@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <E1nMlP3-0008Bh-J2@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN> <E1nLHoU-0007Qd-De@HIDDEN>
 <83k0drz1jv.fsf@HIDDEN> <E1nM0PH-0008IM-ST@HIDDEN>
 <33A4238A-C948-4A8E-BADB-689142143CED@HIDDEN>
 <E1nMlP3-0008Bh-J2@HIDDEN>
Date: Wed, 23 Feb 2022 13:18:45 +0100
Message-ID: <875yp5epy2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: rgm@HIDDEN, larsi@HIDDEN, p.stephani2@HIDDEN, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Richard Stallman <rms@HIDDEN> writes:
> That would be a very good advance; but because it's difficult and
> because I've seen people neglect the issue before, could you ask
> the people doing this to show me the spec they want to implement?

The exporter currently can do this and similar:
  =code=    =>    @code{code}
once I am done it will be able to optionally do this and similar:
  $var$     =>    @var{var}

It will take some time because it has to be implemented in a way that
satisfies the Org maintainers.  I am also not excited to work on it
because I thought I was finally done getting my changes merged into
Org, which was a slow and somewhat painful experience.  Immediately
turns out that no, I have to further improve the exporter.

Being asked for a spec is annoying, and so is the assumption that I
won't do the work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 23 Feb 2022 06:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 23 01:46:26 2022
Received: from localhost ([127.0.0.1]:43627 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nMlPj-0007VJ-Id
	for submit <at> debbugs.gnu.org; Wed, 23 Feb 2022 01:46:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1nMlPh-0007V5-Mq
 for 53316 <at> debbugs.gnu.org; Wed, 23 Feb 2022 01:46:14 -0500
Received: from [2001:470:142:3::e] (port=41266 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rms@HIDDEN>)
 id 1nMlPQ-0004X6-5U; Wed, 23 Feb 2022 01:46:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=Date:References:Subject:In-Reply-To:To:From:
 mime-version; bh=3xsW7LNh8QGblYQbilkn3V++bX4J/nVwY1BqvRaptIM=; b=gRktxL/rse85
 NEC86CQZaxsq538putT8swLh54dfq4dsS22d4ZDhDxaozpcTx/HCzQDCXaas+Ope+OuIAY6+xLyts
 E1JQESFN5YaJdr/D/dil+onTmh1cT40Ll0DON/gCtANrg2bFDwT38XCGxmiQ7P+73BchQHYAqzmab
 4ANhxModrYDt9WN0/nwcw/cpKXA0MHc7Xs/A6FpJu23AukCoEbSppXqrDAHxcVGfZ4FwoYvmJpwwN
 vaf3TVXCRXoN9Lxs1dhmAYQGhk4fhjVs3pAnQ44PBEY1XNoM84vWwJBLcCa5UbU5JC+jKKzcMkZie
 1CgEBRxawzFgUIMjXGC7SA==;
Received: from rms by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1nMlP3-0008Bh-J2; Wed, 23 Feb 2022 01:45:37 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <33A4238A-C948-4A8E-BADB-689142143CED@HIDDEN> (message from Eli
 Zaretskii on Mon, 21 Feb 2022 07:47:29 +0200)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN> <E1nLHoU-0007Qd-De@HIDDEN>
 <83k0drz1jv.fsf@HIDDEN> <E1nM0PH-0008IM-ST@HIDDEN>
 <33A4238A-C948-4A8E-BADB-689142143CED@HIDDEN>
Message-Id: <E1nMlP3-0008Bh-J2@HIDDEN>
Date: Wed, 23 Feb 2022 01:45:33 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: rgm@HIDDEN, larsi@HIDDEN, jonas@HIDDEN, p.stephani2@HIDDEN,
 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Transient is not just a manual, Transient is an Emacs Lisp package,

I know.

    > Removing its manual is only acceptable to me if we also remove
    > the package and all its uses.

Lots of packages don't have manuals.  Indeed, it is undesirable not to
have the Texinfo manual, but not a disaster.

  > > * Fork the manual, making a version for which the Texinfo form is the
  > >   real source that we edit.  That version can be included in Emacs 28.
  > >   This forkage would be a practical problem, but not a disaster.

  > This is what we did, in effect.  The Texinfo sources were heavily edited, and diverged significantly from the results of conversion from Org.

I see.  Well, this is ok, in terms of principles.

  > The converter exists, but has problems that need to be resolved
  > before the results could be acceptable.  We hope this will be done
  > in the future, and will allow us to use the Org sources instead of
  > Texinfo.

  > Fof future releases, we indeed hope to see the problems of
  > conversion from Org resolved,

That would be a very good advance; but because it's difficult and
because I've seen people neglect the issue before, could you ask
the people doing this to show me the spec they want to implement?


-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 21 Feb 2022 05:47:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 21 00:47:48 2022
Received: from localhost ([127.0.0.1]:34561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nM1Y3-0001np-IS
	for submit <at> debbugs.gnu.org; Mon, 21 Feb 2022 00:47:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40300)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nM1Y1-0001n7-VU
 for 53316 <at> debbugs.gnu.org; Mon, 21 Feb 2022 00:47:46 -0500
Received: from [2001:470:142:3::e] (port=44074 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nM1Xv-000840-Mr; Mon, 21 Feb 2022 00:47:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:In-Reply-To:Subject:To:From:
 Date; bh=xUjDpup7xgfbYfd1HQJ0kHiYhWBaxkpFfjSLhIy1ZAI=; b=BpbQcU8d77VFQeb9qOGR
 yTMB8A4NV4v34LjGKbhFjTFBwMVBwE78mMj6RqDJEAy7XWj6+9jvEiKUtRN36PenPgAZMN+vhc7Kg
 x+vLkUx/4OvcFz0m9IvD6e9Fe2GwLXz5K+G71ZdP9Wn1nRn5cwaS5Uwz/CT3AzhSbRlej5dxBZIbR
 2v8QQadV45hG2UZCTDLtd5T9lwB2TlrWVLDxZYj5zF0nhOMksM7EFv3u/IaLOkt5Jm6tIUUDHav0g
 w6OhmiSdOtHjV9KL5P/AkcBeHxVOVq25R44S3LYVaKxVwCb+Cs9rH+efyTI7oXnd2JFaqJATgfNTf
 TghTnwGP//uDRg==;
Received: from [2001:4df7:3:966f::1] (port=46250 helo=[IPv6:::1])
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nM1Xq-0000qr-CL; Mon, 21 Feb 2022 00:47:35 -0500
Date: Mon, 21 Feb 2022 07:47:29 +0200
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN, Richard Stallman <rms@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
User-Agent: K-9 Mail for Android
In-Reply-To: <E1nM0PH-0008IM-ST@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN> <E1nLHoU-0007Qd-De@HIDDEN>
 <83k0drz1jv.fsf@HIDDEN> <E1nM0PH-0008IM-ST@HIDDEN>
Message-ID: <33A4238A-C948-4A8E-BADB-689142143CED@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Autocrypt: addr=eliz@HIDDEN; keydata=
 mQENBF+pf4UBCAC6vjkWLSAsQpe8YIGKLQzNOJx/IjGtCdFF8uzmO5jmME+SD8ROuJN+t5KXVw58
 uzu75EFD0vHTY9e+udJ2gkpuy0NnzkFcbumdLLo2ERKCoSctZZRhzKXI5z5cHxCqW0B2ygHRrRLt
 oNlGID7bAgcgSViT1ptGqTXO7zGVu4Airok7dNzcPtHgns8GlR5YAFX0TvE6oGd0l2VPghNeVJKJ
 OjrbfhoDxl3ucFpqbqMH8z9HTLDOFpz8UaYYUdJMi3xX6vwTZxI2sM2RRVLUpZyllAkSMI4lln1O
 OgazM/62DJUs/rKIHKBnF6h3/qsJUjUYXaAHbrXY26mWllAd536lABEBAAG0I0VsaSBaYXJldHNr
 aWkgKGVsaXopIDxlbGl6QGdudS5vcmc+iQE4BBMBAgAiBQJfqX+FAhsDBgsJCAcDAgYVCAIJCgsE
 FgIDAQIeAQIXgAAKCRCRwSYvAeuNOYUQB/4/iIKKOG45ijNaRoTvmJJZMvj1S07WQxEm7c5SHEeE
 QbLOAxB9vESOV7sLueuN3oqEndtzyYt4x1WTSBmHFF7h5fcCMjBs41siOIp5Sj/xD0Bvaa0IKGCR
 SZ7PAo8Mq3wgajXpTpn9vxE2PmtzA8KdEE0K1+f9pVAfOpUIcCl44rIxLUW352XG0y7iz6c/O6LB
 1deOKMiKFctKO7pBti1dJEm1ImewLH3H8uTbwspLOs3EB8xhsESxmTidnze68HX2jt+2EeMgCdki
 NU+LWbexQZPfIS7+ZmE06ll0v6+Jy7ZdTkCCRypKWTnW7pIFsq/p4kybV8O/kHSV6B4vvQBfuQEN
 BF+pf4UBCACvFrdx/m22lgObypSmSS4TNlNvQnMUorrMmp0U32hv5adt6CKXeMjk05F+GcIfVMrp
 xqMBn4sEUIXWhhogQJa9ZbWEP/HbS8XjMMbz0Q0Siaty9+DSspK/9u2GWKsz3uQzLCexIJtzmXvj
 AVmvoMCAU/F2t038ggygjYLRgyLRNLgbbartu2dMkvrfxRjheip60S4S3utOcwUf/qdoa1grNann
 CFluHr/ftXCeeuGB4H8iO0BXWNby6NZPizxJttx9gdcH8/OmDOJkXyRMTT/3sSem76CSOjfXcz7s
 aJlg680NQhG5TmuYERjJD4+U02K5RuqTsEnOuWeFy4p+/mslABEBAAGJATYEGAECAAkFAl+pf4UC
 GwwAIQkQkcEmLwHrjTkWIQTmyQKcNjrUHXh6jruRwSYvAeuNOejsB/9rVegsfEBSRLjeeYXyJrOf
 dme7BYpYsQCw2vGTnrJTGFQ9HM2zT9+wAENBHWjQPJOptJwo5w4xIbZgwJy0uIN3sV18xbCRSxX0
 ZSk8GJG0PrQTCaf2xs0kqsShnkvqyo5QSyUlFUAG7m1o7NUhF95Q89oxGO8JyvR356kqNbzUn0Cq
 PxKyS42QfC8dyFNgVhVPbZp6aONnUwY5SbtCLJtZCBgvppI9XaBH41BDukSE4GgSLoYsSIGShg4h
 e+bGypAsGtQ9uwmryUi1gRrDgca3wFo/G0rbJn2ZKoLbGFZivWPVgAgd9/O5sLSPFznOdcRGxEA2
 gk7A1ReaJ10PtQz0
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: rgm@HIDDEN, larsi@HIDDEN, jonas@HIDDEN, p.stephani2@HIDDEN,
 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On February 21, 2022 6:34:39 AM GMT+02:00, Richard Stallman <rms@gnu=2Eorg>=
 wrote:
>=20
>   > The original sources for this manual are in Org, but the program tha=
t
>   > produces Texinfo from the Org original has problems that need to be
>   > resolved before we can include the Org sources in the Emacs release
>   > tarball=2E  The Org sources themselves also have several issues=2E
>=20
> Thanks=2E  Now I understand the problem=2E
>=20
>   > The current Texinfo sources in the repository were heavily edited to
>   > solve many problems in the original version converted from Org to
>   > Texinfo, and that is how we intend to distribute that in Emacs 28=2E=
1=2E
>=20
> That's not a solution=2E

It is IMNSHO a sufficient stopgap while we are working on a better solutio=
n=2E  It actually coincides with one of the alternatives for our course of =
action that you describe below=2E

> We must not do that=2E  What could we do instead?
>=20
> We could distribute this package without its manual=2E  That would be a
> practical problem, but not a disaster=2E  It is a reasonable option=2E
> But we have other options too=2E  Here are some ideas=2E
>=20
> * Delete Transient from the Emacs 28 release=2E  People can get it from
>   the separately released Org mode=2E

Transient is not just a manual, Transient is an Emacs Lisp package, which =
is used in Emacs=2E  Removing its manual is only acceptable to me if we als=
o remove the package and all its uses=2E  That sounds drastic and unnecessa=
ry=2E

> * Fork the manual, making a version for which the Texinfo form is the
>   real source that we edit=2E  That version can be included in Emacs 28=
=2E
>   This forkage would be a practical problem, but not a disaster=2E

This is what we did, in effect=2E  The Texinfo sources were heavily edited=
, and diverged significantly from the results of conversion from Org=2E

> * Write a converter to generate that manual's Org-format source from
>   the Texinfo form=2E  Then the Texinfo form will be the real source
>   code, and we can include it both in Emacs and in the Org release=2E
>   This way, there will be no practical problem, only the inconvenience
>   of editing that manual in Texinfo rather than some other source
>   format=2E

The converter exists, but has problems that need to be resolved before the=
 results could be acceptable=2E  We hope this will be done in the future, a=
nd will allow us to use the Org sources instead of Texinfo=2E

> I suspect that automatically converting Org format to Texinfo format
> gives bad Texinfo output=2E  Texinfo has many different markup
> constructs to make visual distinctions in the text=2E  Consider @samp,
> @code, @kbd, @dfn, @emph, @var=2E @file, @url, and more=2E
>=20
> How does Org format express those distinctions?  I fear the answer
> is, "It doesn't=2E"  I would be glad to find that that problem
> has been fixed=2E

Fof future releases, we indeed hope to see the problems of conversion from=
 Org resolved, and then we can switch to distributing the Org sources inste=
ad of Texinfo=2E





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 21 Feb 2022 04:34:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 20 23:34:48 2022
Received: from localhost ([127.0.0.1]:34495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nM0PP-0003w2-Lf
	for submit <at> debbugs.gnu.org; Sun, 20 Feb 2022 23:34:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1nM0PO-0003vq-56
 for 53316 <at> debbugs.gnu.org; Sun, 20 Feb 2022 23:34:46 -0500
Received: from [2001:470:142:3::e] (port=42402 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rms@HIDDEN>)
 id 1nM0PI-00046l-5n; Sun, 20 Feb 2022 23:34:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=Date:References:Subject:In-Reply-To:To:From:
 mime-version; bh=f37ZXyka9b2hlld690rjUeFoBeMq+QHz0xGHCzxV/A8=; b=RBqmbfrkxHhy
 UBAVhl56odzrITwNC2GaS8UOyx2TlP1UorAwahMqqlpE+MzwFzQ3VHuci4F+VEa8kmHMdkcHU28+l
 +BfqfSfAIFrLVDKv/aVt4m6Tm53/rD4jr8ftZGlDivkQqQ3yleqxN2Xlq9z9gAA4QjLmiMq+sMxok
 jDSz3zTY2zYRKIwbhW9tRQh4yxCegThbJ+9Nd8NZbwRxMQjX/4/A0dJkEQ0RrZ4N5ZXinUb/r+LNy
 pl7/A0apkrRHzakcdeD/JdDzluNxd2EZVj0Zk2h1UAtuXv9gGOZsB+6DOBZ5dhLBXIOlzXrHSSoq1
 xZs0RDvRfreONUWFs4pBfQ==;
Received: from rms by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1nM0PH-0008IM-ST; Sun, 20 Feb 2022 23:34:39 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83k0drz1jv.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 19
 Feb 2022 10:46:28 +0200)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN> <E1nLHoU-0007Qd-De@HIDDEN>
 <83k0drz1jv.fsf@HIDDEN>
Message-Id: <E1nM0PH-0008IM-ST@HIDDEN>
Date: Sun, 20 Feb 2022 23:34:39 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: rgm@HIDDEN, larsi@HIDDEN, jonas@HIDDEN, p.stephani2@HIDDEN,
 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > The original sources for this manual are in Org, but the program that
  > produces Texinfo from the Org original has problems that need to be
  > resolved before we can include the Org sources in the Emacs release
  > tarball.  The Org sources themselves also have several issues.

Thanks.  Now I understand the problem.

  > The current Texinfo sources in the repository were heavily edited to
  > solve many problems in the original version converted from Org to
  > Texinfo, and that is how we intend to distribute that in Emacs 28.1.

That's not a solution.  To distribute a compiled form of anything
without its real source code would violate our principles.
Furthermore, anyone who redistributes that Emacs release would
likewise be distributing a compiled form of this manual without its
real source code -- and since perse would not be the copyright holder,
that would violate the license.

We must not do that.  What could we do instead?

We could distribute this package without its manual.  That would be a
practical problem, but not a disaster.  It is a reasonable option.
But we have other options too.  Here are some ideas.

* Delete Transient from the Emacs 28 release.  People can get it from
  the separately released Org mode.

* Fork the manual, making a version for which the Texinfo form is the
  real source that we edit.  That version can be included in Emacs 28.
  This forkage would be a practical problem, but not a disaster.

* Write a converter to generate that manual's Org-format source from
  the Texinfo form.  Then the Texinfo form will be the real source
  code, and we can include it both in Emacs and in the Org release.
  This way, there will be no practical problem, only the inconvenience
  of editing that manual in Texinfo rather than some other source
  format.

I suspect that automatically converting Org format to Texinfo format
gives bad Texinfo output.  Texinfo has many different markup
constructs to make visual distinctions in the text.  Consider @samp,
@code, @kbd, @dfn, @emph, @var. @file, @url, and more.

How does Org format express those distinctions?  I fear the answer
is, "It doesn't."  I would be glad to find that that problem
has been fixed.


-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 19 Feb 2022 09:27:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 04:27:40 2022
Received: from localhost ([127.0.0.1]:56889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLM1k-0000cA-24
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 04:27:40 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nLM1i-0000bw-EZ
 for 53316 <at> debbugs.gnu.org; Sat, 19 Feb 2022 04:27:38 -0500
Received: from [2001:470:142:3::e] (port=54616 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nLM1c-0001ky-CX; Sat, 19 Feb 2022 04:27:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=2YGZqQTCWO4SFeFgVGbz9HkTIDLxxxP2W6V+Osx3mC8=; b=g2GACA9bvgCkc3OWpnLV
 W3dWLMAmB4U3No/AOfhmGzN4ku2bzVofVgBg9KIkHrBL1c8kVusRTMFl5sIImNV8N23He5q61zT/2
 jlXTe8EULZrOQdLcMChlj86ojzggl1Bd0HKgNZQ6937vc1a2hTDyi4IHUrFd+aas38b7H0T7hxAA8
 GjuCuciEDyusTOEtT7eEnbLoj9aVkvELlcSiB1lrp/jWFrLFu1B6En5e9bhxH8Kqv75QUh7l25yBd
 xcHp5bWx0cB8GG24fBB310nBXQWBtG255iiqq6HC3opDwcxySrLDhqT8U7ullMjbMlMmbLP868eNl
 r3abIakAxL5GFg==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1nLM1X-00041l-KA; Sat, 19 Feb 2022 04:27:29 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN> <E1nLHoU-0007Qd-De@HIDDEN>
X-Spook: SSCI SADF Secure Internet BART Majic Attorney General
X-Ran: ^s6?gMkA{;lRpO1ki|-[1,%DwL%iyrL<P?1@k?,~#7;xZ4d!F$cwBH$l$5&2zLEtc;Hc,$
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 19 Feb 2022 04:27:27 -0500
In-Reply-To: <E1nLHoU-0007Qd-De@HIDDEN> (Richard Stallman's message
 of "Fri, 18 Feb 2022 23:57:42 -0500")
Message-ID: <66mtin2olc.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: p.stephani2@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, jonas@HIDDEN,
 larsi@HIDDEN, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


My summary would be:

Transient is an Emacs library developed externally to Emacs.
A copy has now been added to Emacs for Emacs 28.
(I assume there is no intent to move development to Emacs.)
It has a manual written in Org format.
The Texinfo file is automatically generated from that Org source.

Originally the Transient manual was not in Emacs at all.
Now the generated Texinfo file has been added to Emacs, but not the
original Org source.


I previously reported a similar case as
  Subject: bug#45143: Missing source for some doc/misc manuals?
for the manuals for Org and Modus Themes.

You commented in several messages in Feb 2021, such as
  Message-Id: <E1lBsmZ-0004KA-FC@HIDDEN>
  Message-Id: <E1lE4bt-0006mL-5e@HIDDEN>


Since the generated transient.texi file was added to Emacs, it has been
manually edited, because, as was already known, Texi-generated-from-Org
isn't as good as hand-written Texi.
(I assume there is no intent for the upstream Transient to switch its
manual from being written in Org to being written in Texinfo,
in the same way that neither Org nor Modus Themes did.)


To resolve bug#45143, I implemented Make machinery in Emacs to generate
.texi files for those manuals from their Org sources. (Sadly these changes
were not included in Emacs 27.2, so that release does not IMO
include the preferred form for the Org manual.)


Apparently generating transient.texi from transient.org requires some
changes to Org itself, which currently only exist in upstream Org, not
in Emacs master or release branch. So it isn't possible to generate the
texi file for this package with just the Emacs sources.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 19 Feb 2022 08:46:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 03:46:53 2022
Received: from localhost ([127.0.0.1]:56833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLLOH-00081x-2x
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 03:46:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58926)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nLLOF-00081k-99
 for 53316 <at> debbugs.gnu.org; Sat, 19 Feb 2022 03:46:51 -0500
Received: from [2001:470:142:3::e] (port=50370 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nLLO6-0001f4-GH; Sat, 19 Feb 2022 03:46:44 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=a0oSW3mWdq44bvbRAKvVkIAtDE7fKUzXByL8tx9aoq4=; b=G1/lNSMfzWJT
 gHqieN8fTevJH8U9Ld0rqC0Q7GdITlfqyG5cjIeD1/+qaD6rmaxTusxulwF9JO2hSxKE2NrDLf1Tk
 9FPn1pLvaLAjfN1OmbfeUBMEyjliz2eRX3LrHvP3B6+23izRLCrFdIRL9GBusK448M05anWS1ObFI
 6f/trk9YEhLCvNKNI5FYPBXM20tiubqNMxdB3xAgfp6PY4XLEk/POT5af/Lt69Wwf6A3E4lMrSM+j
 qi7uzjj0Z23rnX7eEofgQMILxHF27J2cnKfQBJZzqYrE+4C8s9ro1Ily6yyEYwY3OgtO/NaCmLJZz
 hQ37uRQ/vcZPnD3xKrBHrw==;
Received: from [87.69.77.57] (port=3239 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nLLNt-0001D7-Cy; Sat, 19 Feb 2022 03:46:29 -0500
Date: Sat, 19 Feb 2022 10:46:28 +0200
Message-Id: <83k0drz1jv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-Reply-To: <E1nLHoU-0007Qd-De@HIDDEN> (message from Richard
 Stallman on Fri, 18 Feb 2022 23:57:42 -0500)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN> <E1nLHoU-0007Qd-De@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: rgm@HIDDEN, larsi@HIDDEN, jonas@HIDDEN, p.stephani2@HIDDEN,
 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Richard Stallman <rms@HIDDEN>
> Cc: rgm@HIDDEN, larsi@HIDDEN, jonas@HIDDEN,
> 	p.stephani2@HIDDEN, 53316 <at> debbugs.gnu.org
> Date: Fri, 18 Feb 2022 23:57:42 -0500
> 
> Would someone please post a review of what this issue is about?
> I have not been following it -- I thought it was a technical issue
> and assumed people would find a good solution -- but now it seems
> maybe it goes beyond the level of technical.

The original sources for this manual are in Org, but the program that
produces Texinfo from the Org original has problems that need to be
resolved before we can include the Org sources in the Emacs release
tarball.  The Org sources themselves also have several issues.

The current Texinfo sources in the repository were heavily edited to
solve many problems in the original version converted from Org to
Texinfo, and that is how we intend to distribute that in Emacs 28.1.
Work continues on solving the problems in the Org sources and in the
conversion programs, with the goal of switching to the Org sources
when this job is done to our satisfaction.

I think having this manual, with all its deficiencies and issues, in
the Emacs 28 tarball is better than not having any manual.  Transient
is a very non-trivial package, and I believe it would be impossible
for users to use it without a decent manual.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 19 Feb 2022 04:57:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 18 23:57:54 2022
Received: from localhost ([127.0.0.1]:56678 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLHof-0001OT-RA
	for submit <at> debbugs.gnu.org; Fri, 18 Feb 2022 23:57:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1nLHod-0001OE-M1
 for 53316 <at> debbugs.gnu.org; Fri, 18 Feb 2022 23:57:52 -0500
Received: from [2001:470:142:3::e] (port=47296 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rms@HIDDEN>)
 id 1nLHoY-0004Ws-1f; Fri, 18 Feb 2022 23:57:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=Date:References:Subject:In-Reply-To:To:From:
 mime-version; bh=5EHGbtuo4XcjT2Nu/2ueZLByPF4RM7JxS7/VQtlq22w=; b=W7fCYc0WNfTc
 JXFgZ6G7E7g8VdeP6jS1y4AQdGvO2kRpsxDOTVRSpVL4SiUOJ5AdzHtfE2Ua1LT86H7zBSIbI3Mpi
 tta+LY1U9j6iFFgh6y2ZhTIDmP3J3Xh/euX/PJ0bjeNCozCDhlyUTAkYQtkY4rOneE9gtq5BFDTX1
 vbB9WtU3B0av7w0Xjs2MtcgZcRXq45AxtwXDl7V7jinLHEqwlxhaIKuB/W8z4uXPQmElwyIDyPxZi
 +smEhz+aUv7i1d2th9iRvd2iwHrHIAjLKb7I6hqs9BNQRQRBabPU13xrbjtXuTx+E2bb9RU+uv3fm
 6tOr+9UWhhO4Z7DL14A65Q==;
Received: from rms by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1nLHoU-0007Qd-De; Fri, 18 Feb 2022 23:57:42 -0500
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83r182105v.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 17
 Feb 2022 08:23:40 +0200)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
 <83r182105v.fsf@HIDDEN>
Message-Id: <E1nLHoU-0007Qd-De@HIDDEN>
Date: Fri, 18 Feb 2022 23:57:42 -0500
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: rgm@HIDDEN, larsi@HIDDEN, jonas@HIDDEN, p.stephani2@HIDDEN,
 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Would someone please post a review of what this issue is about?
I have not been following it -- I thought it was a technical issue
and assumed people would find a good solution -- but now it seems
maybe it goes beyond the level of technical.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 17 Feb 2022 06:23:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 01:23:47 2022
Received: from localhost ([127.0.0.1]:49875 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKaCh-0005Fa-3G
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 01:23:47 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nKaCf-0005FM-SX
 for 53316 <at> debbugs.gnu.org; Thu, 17 Feb 2022 01:23:46 -0500
Received: from [2001:470:142:3::e] (port=43068 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nKaCZ-0000a7-Ux; Thu, 17 Feb 2022 01:23:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=YE0v2lyXOEn3FPeRZPdseyfuWM+hf0YvVC4xP+ccaLA=; b=VsujzzoPteSe
 6kuz1oARSYN3Tur3r6cEao5spSXQCxvLBI0V5TDSmjElMKEtnBX+ykOD8L5Y7pmu4nVmPT7OyDlwu
 bQl3muFlsMGR6wOgSCBcL8OGwyED6eXLF+ZpK1wbPEXGRxtKzMxw2uk5098PX0oYlHVC2LXHIxRIB
 0krUkbfjrt/0csEoYleB4U/DSt7uW/LvT368x97vFHe0FRxwZJUj5z6QKSj3Z7vl4xHs2W1rPauzA
 Dbe/eQEQIgCoudjPzeggm3N046Pw9vAREHHqMMQg/hu6Hes4u01JlQPOrgnoJ/6RTXnF9Mn5bSn3i
 YfX3nar3K48Xhts1cU4URw==;
Received: from [87.69.77.57] (port=2677 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nKaCU-000312-HY; Thu, 17 Feb 2022 01:23:36 -0500
Date: Thu, 17 Feb 2022 08:23:40 +0200
Message-Id: <83r182105v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <6ar182selo.fsf@HIDDEN> (message from Glenn Morris on
 Wed, 16 Feb 2022 16:09:39 -0500)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN> <6ar182selo.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: larsi@HIDDEN, jonas@HIDDEN, p.stephani2@HIDDEN,
 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Wed, 16 Feb 2022 16:09:39 -0500
> Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
>  Philipp Stephani <p.stephani2@HIDDEN>, 53316 <at> debbugs.gnu.org
> 
> > And I don't think it makes sense to add the org file if some of the
> > code needed to produce the texi file are not available inside Emacs.
> > Eli would just have had to fix many more issues manually.
> 
> Then IMO this manual should not be distributed with Emacs, until such
> time as the required build machinery can be.

That's IMNSHO an extremist POV with which I cannot disagree more.
It's tantamount to saying that if we have a bug in Emacs, we cannot
make a release until we fix it.

As long as we are working on this issue, and intend to eventually
provide the Org source in the distribution, I see no reason to remove
the manual from the distribution.  The Texinfo source will be in the
tarball, can be used to make changes in the manual, and after my
extensive changes one can no longer say that Texinfo is not the real
source anyway.

We should strive to fix the issues with generating the manual from Org
on master, before Emacs 29 is released.  Jonas, if you need any help
with that, please holler.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 16 Feb 2022 21:09:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 16 16:09:49 2022
Received: from localhost ([127.0.0.1]:49578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKRYb-0003Zd-81
	for submit <at> debbugs.gnu.org; Wed, 16 Feb 2022 16:09:49 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nKRYZ-0003ZQ-AF
 for 53316 <at> debbugs.gnu.org; Wed, 16 Feb 2022 16:09:47 -0500
Received: from [2001:470:142:3::e] (port=34138 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nKRYT-0003Zh-Az; Wed, 16 Feb 2022 16:09:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=D0BXxbYwJ+NZKeRXtzCjnsjwyjxI3eUMTZcNiUqgpPc=; b=EtTqhPbx1ae8revtdZ/d
 V07EdxNk8JsJAA1pt22i04Hcg/bfHqcdgij2p8r8KdqlVM8OeoDiWv9xou9TJcHTFU/+kqhRFzRBv
 YobSHDDtlXciNGAjGSNamugJaKYStM1n9Yd2QYNY4DJaWb0y51I3NoG3IyXvrtRPUawV5y9ZqJxD5
 2CaCyDJgEs+jZ91LsFeWDsxxn3mXdiF0TxEigwUIibT+cbDcSYLlp+HQGQoj865fsegIwqeIVtsi1
 iyqc1VCayncdyauF1d5AWWnVLbEZBUJAORdGzo+WMz/9ephAjP5Z8SkVJLxPTzhjL2/On4EXPNNX7
 Jlh5pPRqFw8zhA==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1nKRYR-0002u6-Sd; Wed, 16 Feb 2022 16:09:39 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
 <87tuczdcqo.fsf@HIDDEN>
X-Spook: Homeland Defense Duress fraud CBM Gorelick Dock Bosnia
X-Ran: #/d%;GX2#H4t3hUh6YEUGFdoJGiI/b*@;u=P$91]I~I7>*3edpU,rm%";8%42e[Av;r$,Z
X-Hue: red
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 16 Feb 2022 16:09:39 -0500
In-Reply-To: <87tuczdcqo.fsf@HIDDEN> (Jonas Bernoulli's message of "Tue,
 15 Feb 2022 22:46:39 +0100")
Message-ID: <6ar182selo.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Philipp Stephani <p.stephani2@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


>> I believe it is a bug for Emacs not to distribute the preferred form for
>> modification.

See previous identical issue https://debbugs.gnu.org/45143
Especially https://debbugs.gnu.org/45143#14

  That is a moral fault. We must distribute the real source code, always
  without exception.

> And I don't think it makes sense to add the org file if some of the
> code needed to produce the texi file are not available inside Emacs.
> Eli would just have had to fix many more issues manually.

Then IMO this manual should not be distributed with Emacs, until such
time as the required build machinery can be.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 16 Feb 2022 03:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 22:25:55 2022
Received: from localhost ([127.0.0.1]:47048 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKAx0-0003O1-Sr
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 22:25:55 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nKAwy-0003Nk-SK
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 22:25:53 -0500
Received: from [2001:470:142:3::e] (port=44810 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nKAws-0001SR-Uo; Tue, 15 Feb 2022 22:25:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Pn+ijYmrG/Vw0SlBkyJ854uXwEDV8JcfTwAYlor/9Hg=; b=AmYrHkXVvTna
 TERwWaY3et9EAeFgX1Bzmp3gbPnujo4fM8NsOM6/GQt4TCUrbFeGO8HcGcdKESZ0FBKgz0ZmviyRd
 92Y3XEAva6Ynij7o2GrYHDubL3WNO8nkfQkvhNA8AsATWwcFyeNWK4IhA2O71+a8Mh3uRB5xPjlSC
 dpMyDKB+fpa9hDHwwMPVPkpWj5U3FFCUVgH6mh8pcdPJbZexVvQalG/UWJTKchXilFFOfq8kiV9XV
 +96oamDlrdj2MHGF7Wf+EFXXorTKPAJD14mvoptItVFI2Ehu0VDGlexN0dYiv+64G3KswXvzr51hE
 ryqLSuJSGMLaGiBJD3gU6w==;
Received: from [87.69.77.57] (port=2246 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nKAws-0004GR-F6; Tue, 15 Feb 2022 22:25:46 -0500
Date: Wed, 16 Feb 2022 05:25:49 +0200
Message-Id: <83leyb332a.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87wnhvdd3a.fsf@HIDDEN> (message from Jonas Bernoulli on Tue, 
 15 Feb 2022 22:39:05 +0100)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <83tud02bgi.fsf@HIDDEN>
 <87wnhvdd3a.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: larsi@HIDDEN, p.stephani2@HIDDEN, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Cc: larsi@HIDDEN, p.stephani2@HIDDEN, 53316 <at> debbugs.gnu.org
> Date: Tue, 15 Feb 2022 22:39:05 +0100
> 
> This common issue is already fixed for the manual of the development
> version.
> 
> -incomplete prefix key sequence @code{C-x}.  This only affects the current
> +incomplete prefix key sequence @kbd{C-x}.  This only affects the current

Good to know.  Another common issue is use of SOMETHING instead of
@var{something}.  Yet another problem is quoting "like this" instead
of ``like this''.  Also, "see @ref" is over-used: in many places it
should be either @xref or @pxref instead.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 15 Feb 2022 21:46:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 16:46:46 2022
Received: from localhost ([127.0.0.1]:46639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nK5eo-0008A4-2e
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 16:46:46 -0500
Received: from mail.hostpark.net ([212.243.197.30]:55208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nK5el-00089u-Oe
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 16:46:45 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 34B4616AA9;
 Tue, 15 Feb 2022 22:46:42 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1644961600; bh=c11PofWeyw/8pWcaDm9WgBP3
 8t+eZFT3m4mAYh/j50c=; b=Jh/E4mmJztP9DFgeExda8ihgZEF5Bx2mopqmNQjL
 VZlNegFWjqgZwzJ/FDllxyHRX56bJPmbPJZnICX/SzIMK6rABGrwX7J2IYuDbGas
 ZYv1XkZ0C33C6DEDdosi6t2f4PxtlsYqrdLpI1U2PGatqDVf9BLOyqFLZTIGm2sw
 zJY=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id Bh7sRc8skt7x; Tue, 15 Feb 2022 22:46:40 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 0034716400;
 Tue, 15 Feb 2022 22:46:39 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <jumtiryjeo.fsf@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <jumtiryjeo.fsf@HIDDEN>
Date: Tue, 15 Feb 2022 22:46:39 +0100
Message-ID: <87tuczdcqo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Philipp Stephani <p.stephani2@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Glenn Morris <rgm@HIDDEN> writes:

> Jonas Bernoulli wrote:
>
>> I've added the generated texi file not the org source because to export
>> that correctly my ox-texinfo+ package is required.
>
> I believe it is a bug for Emacs not to distribute the preferred form for
> modification.

Since ox-texinfo+.el has already been superseded by a better
implementation I don't think it should be added to Emacs.

And I don't think it makes sense to add the org file if some of the
code needed to produce the texi file are not available inside Emacs.
Eli would just have had to fix many more issues manually.

I would be in favor of moving the improved implementation from Org's
"main" branch to the branch that is synced with Emacs' "emacs-28"
branch, but as far as I know its too late for that because of the
feature freeze.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 15 Feb 2022 21:39:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 16:39:12 2022
Received: from localhost ([127.0.0.1]:46635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nK5XU-0007yI-7a
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 16:39:12 -0500
Received: from mail.hostpark.net ([212.243.197.30]:55038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nK5XR-0007y8-4w
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 16:39:10 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id B8D6516AAC;
 Tue, 15 Feb 2022 22:39:07 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1644961145; bh=GAsIiJEXJ72+lbEpYSySXFHS
 iPDks+k8GKxbdjKjOrA=; b=YsqgIKUPvhBoGL6emSEJgzVp5OIfTYHkbECWUtDQ
 /D4/VeVArIiaSDLHEfOVp3ylBrUffrnKC59OMPOHqUU3ChGvyBopS/Q4SKztkEDz
 dk4yuTjTNuVeDnXBeKopFD2u2EolcGTj6GKa9ZGs/A+5vNFi7fq/ZQ5b8xownPyU
 6t0=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id YMeTklnUZnUk; Tue, 15 Feb 2022 22:39:05 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 88BEA16400;
 Tue, 15 Feb 2022 22:39:05 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <83tud02bgi.fsf@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN> <83tud02bgi.fsf@HIDDEN>
Date: Tue, 15 Feb 2022 22:39:05 +0100
Message-ID: <87wnhvdd3a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: larsi@HIDDEN, p.stephani2@HIDDEN, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I've just added [it].

> Thanks.
>
> However, if the Texinfo file I just spent an hour fixing was produced
> from the Org source, then either the Org source or the conversion from
> Org to Texinfo "needs work", because the result had many issues, as
> you can see.

Some of these are the exporters fault, many others are not.

In any case, thanks for identifying both kinds of issues.
I will probably come back with some questions.

This common issue is already fixed for the manual of the development
version.

-incomplete prefix key sequence @code{C-x}.  This only affects the current
+incomplete prefix key sequence @kbd{C-x}.  This only affects the current




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 15 Feb 2022 20:17:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 15:17:13 2022
Received: from localhost ([127.0.0.1]:46559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nK4G9-0005lA-2E
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 15:17:13 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43990)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nK4G7-0005ky-Bm
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 15:17:11 -0500
Received: from [2001:470:142:3::e] (port=36898 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nK4G1-0005yX-ET; Tue, 15 Feb 2022 15:17:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=VTBd8jGHOH9pSQ7LRn77v6ekqiX3C+PNU5leZCMpc1k=; b=fp15YctLaeclEqAOwoS0
 E1LoCi65flU2PvR0k6Euvg5KkPbDeOp9KylzUO25G0PyojG/EdJF/nnffeotI9uNUr3TaHXT4JVfj
 s5kKRd9DR+RN4RNFCUtTS8bbn1ZfSBlGCUTyJ7TfCp1R+zvOhOSFqNjAxUN8eJFDgehf2jiR7PuLl
 abNH1to3QEVzsCfDpJlSTNGwTaLWt9HDRK6W+EjQZlSrcRTRN1gFYruhO2TWTPbW6bB5S9PKxWUHv
 p9WRScSd6TlWOo5qO+0N6n5Dtz/Hi9JlO1S0de4UJ3Qj85p0FzPAeivB7grmGrfAU4Mot4YwizmFt
 AxDIw2cEvVWaww==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1nK4Fz-0000p9-FY; Tue, 15 Feb 2022 15:17:03 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN>
Date: Tue, 15 Feb 2022 15:17:03 -0500
In-Reply-To: <87iltgcbqx.fsf@HIDDEN> (Jonas Bernoulli's message of "Tue,
 15 Feb 2022 17:53:26 +0100")
Message-ID: <jumtiryjeo.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Philipp Stephani <p.stephani2@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jonas Bernoulli wrote:

> I've added the generated texi file not the org source because to export
> that correctly my ox-texinfo+ package is required.

I believe it is a bug for Emacs not to distribute the preferred form for
modification.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 15 Feb 2022 19:10:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 14:10:15 2022
Received: from localhost ([127.0.0.1]:46436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nK3DB-0001cO-3x
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 14:10:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nK3D8-0001bn-O0
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 14:10:03 -0500
Received: from [2001:470:142:3::e] (port=35486 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nK3D2-0003Xk-QU; Tue, 15 Feb 2022 14:09:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=y23yrrKN4cHhqaMBzzhz3oBWtvGXvncV4Rvb87mn4+4=; b=TiTwJQyNCwfP
 kLG/cAqEsqfaS6F0b5WNvdP8ZUgrLrTB5QdnXLi3eEQmuKKP5R4G72GkLDtyzBV8KyE2zmqXyXlxT
 zJlIn8P0vJDq67meR+FB0Kf8nymuVx6G+C61IQKQuIYEssmhBCvDIfD6Tt/5JAA2GJP7E+HXvEvn2
 Ir0Iac8bpuikFnQiNGSS1dlb8qzQmaACW5T7ItLtmZqOK03glYGHgLaUeopbmfPxQqfGhUuTwQE/P
 5m24lOLICo8U5eLbIvDc8FnbWqejAzHWTUxRFSW4OEnIzPAnC0m19m2wxhZTI63xwtKiITl9f9vg9
 wFREjqcZRxPvY/zNsIscVQ==;
Received: from [87.69.77.57] (port=3625 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nK3Ct-0005c8-R5; Tue, 15 Feb 2022 14:09:56 -0500
Date: Tue, 15 Feb 2022 21:09:49 +0200
Message-Id: <83tud02bgi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
In-Reply-To: <87iltgcbqx.fsf@HIDDEN> (message from Jonas Bernoulli on Tue, 
 15 Feb 2022 17:53:26 +0100)
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87iltgcbqx.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: larsi@HIDDEN, p.stephani2@HIDDEN, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Jonas Bernoulli <jonas@HIDDEN>
> Date: Tue, 15 Feb 2022 17:53:26 +0100
> Cc: 53316 <at> debbugs.gnu.org
> 
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
> 
> > Philipp Stephani <p.stephani2@HIDDEN> writes:
> >
> >> Transient has its own manual (transient.org/.texi), but that's missing
> >> from the version shipped with Emacs.  Could we add the manual to the
> >> Emacs release?
> >
> > Sounds like a good idea to me; adding Jonas to the CCs.
> 
> I've just added.
> 
> I've added the generated texi file not the org source because to export
> that correctly my ox-texinfo+ package is required.  A new implementation
> of the main feature of that package recently made it into Org's main
> branch, so once the next feature release is merged into Emacs' master
> branch, then we can track the org file instead (on master).

Thanks.

However, if the Texinfo file I just spent an hour fixing was produced
from the Org source, then either the Org source or the conversion from
Org to Texinfo "needs work", because the result had many issues, as
you can see.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 15 Feb 2022 16:58:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 11:58:14 2022
Received: from localhost ([127.0.0.1]:46330 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nK19Z-0006P0-GT
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 11:58:13 -0500
Received: from mail.hostpark.net ([212.243.197.30]:46436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nK19L-0006Nu-LO
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 11:58:12 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id F0F2B16AAC;
 Tue, 15 Feb 2022 17:57:58 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1644944276; bh=88w37up9KQXIa73iwo3yYCe9
 h/OEVxZhUu1Spg1Xqh0=; b=vPiMI/GnRf59x//KBbg1k4Uod7gzPG2TSaXadFa2
 eyuKv7JyjmFRWz7W/E+yHmm9j2ODYezTBeM7zQu3UxHKi+YEp6Dx4Fl3CaF9+2uu
 /6sFKx3sRDcM3loix6TNrsIdeLSzeGRVq1JoMHnIbquJy/JpRMll8C50uK4FdPKe
 eoU=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id xRkSeXEi6fC4; Tue, 15 Feb 2022 17:57:56 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id C36B716AA9;
 Tue, 15 Feb 2022 17:57:56 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <87a6fj7c0m.fsf@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87ilu77e3i.fsf@HIDDEN>
 <680E378A-BF43-4F47-BD2A-525A57283F49@HIDDEN>
 <87a6fj7c0m.fsf@HIDDEN>
Date: Tue, 15 Feb 2022 17:57:56 +0100
Message-ID: <87fsokcbjf.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
>>> Am 25.01.2022 um 21:30 schrieb Jonas Bernoulli <jonas@HIDDEN>:
>>> 
>>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>>> 
>>>> Philipp Stephani <p.stephani2@HIDDEN> writes:
>>>> 
>>>>> Transient has its own manual (transient.org/.texi), but that's missing
>>>>> from the version shipped with Emacs.  Could we add the manual to the
>>>>> Emacs release?
>>>> 
>>>> Sounds like a good idea to me; adding Jonas to the CCs.
>>> 
>>> Agreed.  I was planning to create a new release first and merge that
>>> into "emacs-28" before doing so, but it seems the ship has sailed.
>>> 
>>> On the other hand it contains important bug fixes (but also new
>>> features) and nothing on "emacs-28" uses it yet.  So maybe it would
>>> still be okay to update even during the pre-release phase; I don't know.
>>> Removing it from "emacs-28" and only releasing it in 29 (or maybe 28.2)
>>> might also be an option.
>>
>> Or maybe it would be feasible to add the manual version that
>> corresponds to the Emacs 28 version?
>
> Yes.  Just saying that wasn't the plan.  (And that won't make the bugs
> go away.  And some of them were quite severe, but I believe that those
> that made it necessary to kill Emacs from the outside have at least
> been neutered, i.e. there's still an error but Emacs remains usable.)

I had another look and I think we are safe going with v0.3.7.  While
that comes after the "big refactor to squash the big bug" changes it
does comes right after the "remove booby trap" commit.  Actually I
think that commit is why I released v0.3.7.  ;P

     Jonas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 15 Feb 2022 16:53:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 15 11:53:34 2022
Received: from localhost ([127.0.0.1]:46312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nK154-0006Gm-OZ
	for submit <at> debbugs.gnu.org; Tue, 15 Feb 2022 11:53:34 -0500
Received: from mail.hostpark.net ([212.243.197.30]:46222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nK152-0006Gc-Rw
 for 53316 <at> debbugs.gnu.org; Tue, 15 Feb 2022 11:53:34 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 22F8116AD7;
 Tue, 15 Feb 2022 17:53:31 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1644944008; bh=ReNmc0snwIj9tYpLA7nCB/Qh
 I51UpARL7/vbnl4We8s=; b=lTeiEL/pACRAiT5+XITRR5o5g/qdbJKd9EazIRrV
 +DhrxVJZont0EWaz5KRqq1gp+bml5O2io5SD4+UqQWiFYBITeLtD1Dk3/SQN82n9
 tb4E6SzkRJt4MJ1RWV2E/Bd5LaC1svk1CvnsLtcWvFYzuujxhJWGBDmLrAETQz4l
 EiQ=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id Kl9eQ7j7OtKk; Tue, 15 Feb 2022 17:53:28 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id E916316AA9;
 Tue, 15 Feb 2022 17:53:28 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Philipp Stephani
 <p.stephani2@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <87o845s4xv.fsf@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
Date: Tue, 15 Feb 2022 17:53:26 +0100
Message-ID: <87iltgcbqx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
>> Transient has its own manual (transient.org/.texi), but that's missing
>> from the version shipped with Emacs.  Could we add the manual to the
>> Emacs release?
>
> Sounds like a good idea to me; adding Jonas to the CCs.

I've just added.

I've added the generated texi file not the org source because to export
that correctly my ox-texinfo+ package is required.  A new implementation
of the main feature of that package recently made it into Org's main
branch, so once the next feature release is merged into Emacs' master
branch, then we can track the org file instead (on master).

     Jonas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 26 Jan 2022 09:08:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 26 04:08:20 2022
Received: from localhost ([127.0.0.1]:50948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCeHs-0006Sj-B5
	for submit <at> debbugs.gnu.org; Wed, 26 Jan 2022 04:08:20 -0500
Received: from mout.gmx.net ([212.227.17.22]:53631)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1nCeHq-0006SU-1P
 for 53316 <at> debbugs.gnu.org; Wed, 26 Jan 2022 04:08:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1643188091;
 bh=COAP5qxWtlqvaRv4I8arONEJngtnsYQQ8S/a5fMUDAs=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Uzyg48RfgcZJiNkrK3k21NLq5ou3DcychyXQrBHGGh/H7EtkOyEi8DcGRwtg/QhAc
 KKFpbCrHdi//5IFqrgMCIpIe7mvD63ac9x1LXu2o3w2vNEsgHMnnWnTy7ssWzOE//b
 q6OwpdGecIEHrMv+TwzzxgfoP+qFKftdoxo/XXtk=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([79.140.118.216]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N0oBx-1mIUn93r0P-00wny1; Wed, 26
 Jan 2022 10:08:11 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87ilu77e3i.fsf@HIDDEN>
Date: Wed, 26 Jan 2022 10:08:09 +0100
In-Reply-To: <87ilu77e3i.fsf@HIDDEN> (Jonas Bernoulli's message of "Tue,
 25 Jan 2022 21:30:25 +0100")
Message-ID: <87lez2zwxy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ZrwSchXNncg9m0gy8DfpirRdkiHeY6caVZGPO3yEiXTsW9wA1er
 xpPQ/WhE2sxlCiY+0ct8+ehsTFKXcOS1YGy3H0/p+O3jaWx3HxGPBCajroZF9s0KoEmISy1
 P7x+SJoPI9n5QEeg9B8vsfmFqw3b+I2EWwOui2Ye1s0ahynn+O5fowEnEvaClzHvGZkyBBr
 7C0z3x/vBqt0c4JK8NIAQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:UVfNR11GrDY=:HOZ1z014FkoXdRujU4HF59
 062LY0myhnXJaTJsKWXuK9iBboPs8QTMhuzEneI9SFmPx+YuUZ80UohG3s2qGfbmno1fTuzgT
 wM8gAhmp3Vd7Cg3P5Ta8Nqnqqq+wzDfk+vIyVuswJo+MR/s5b3/ye2B0Qd+DZpKTUTM1oFAHM
 ZfJuZBejaWuFdm0OEuyo67Ro21ZeDt65qEwet8WIN/Bw3BuqBobN7SeFHCH482DLoZeiQQa0m
 l8Hgvofq1DgJS1BwssRtD6ooqZ6UY8xQOnTFJq7vx9epVEyT2wVogutkmpv+fvYB9NjeKrDLS
 8I7rm+yJccH+zunH9Up0gFMdTMHCfMJRUdEwfjTvXZCuWkMoOsVjTjKuvUgsFkIh2u11+mbd/
 VaWO5Z6cbgOC3RHv5KK+F5m8DcBTgFh9DLRpOKiBIgkC3pUVw33Sg7btCQ+zQVu05Z3bewcJ5
 n96AmWRuJ8d7pcbvfDZgOChGuvYWIhDcl8WYAKFPeUgp7P8rriOiqC+nMOwUa5ySb4euCPAyE
 fReOkTuFDWI0GhJjE4NxN+5yUEPdEh81TGz0D+HE9pkZJOZ7jX38mh8IkU6dEydDg2cW1prN7
 lhZDxDV/bmo6VynDlcHRKx88wVFfC2QC0/bPA85DsKYJzD/4Kl7dtlpoyJ8PtMm9jFz5m6nPH
 d9vLeOumOVCtvYMm98EjVSb5yvjOT4JYj2yCoapjlAiR0fAuzpjqk9ivpaWZgy9D5uCdkDGw2
 rK92rCtxJVLiNFBeZEZr6edmRc9o6D8zBvllRKa0fG0L/WCcZfcec91jJcTnoatjM1vWUL/3I
 Dh859s+isoL5MHylA3BBMPHSJ6g2yCswUMgw86gfa1B8bWpqMYNXvYXTQL1BD1cjiXRRQd8jM
 QztgWDs4/zvefNMXQnjoW3bv1N/eFCcMzRVXJCYszzO6TGdAzlfvClluCaF/zKfmDErplZhaF
 SgyeAJ3lDFSOambLN9nwcr/dzVkNEwHel25gt9W4hi3C1+CHS5oyqX1DxARgDcun3cSsX2HYx
 8NVx8Eq2wlB3hpcP8tVK5BfP1rqN7qxJyd+RzWDMZNfbep/QiKyuygz292v14SgZgCMvpaCxt
 r8KMibor5i5aLg=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 Philipp Stephani <p.stephani2@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jonas Bernoulli <jonas@HIDDEN> writes:

> Agreed.  I was planning to create a new release first and merge that
> into "emacs-28" before doing so, but it seems the ship has sailed.
>
> On the other hand it contains important bug fixes (but also new
> features) and nothing on "emacs-28" uses it yet.  So maybe it would
> still be okay to update even during the pre-release phase; I don't know.
> Removing it from "emacs-28" and only releasing it in 29 (or maybe 28.2)
> might also be an option.

I have a similar problem with Tramp. Emacs 28 pretest has frozen the
files, but changes still arrive. So I trust that people will use the GNU
ELPA version, which is released regularly. In case of reported errors, I
recommend to install it once the error is fixed there.

After the release of Emacs 28.1, these Tramp changes will be merged.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 25 Jan 2022 21:15:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 16:15:30 2022
Received: from localhost ([127.0.0.1]:50403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCTA2-0000O6-4B
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 16:15:30 -0500
Received: from mail.hostpark.net ([212.243.197.30]:52938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nCT9x-0000Nt-6k
 for 53316 <at> debbugs.gnu.org; Tue, 25 Jan 2022 16:15:28 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id AB845164A6;
 Tue, 25 Jan 2022 22:15:23 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1643145321; bh=kC2jiNDcLU/i6ITrCPMopJnc
 pXRfLMag2TnQ6+XymSk=; b=NH2DGyn+AO+gMaksJk2dEBQy2rDD/j9j1Kc5bZw5
 zYEFGw7BjswIzGlKzI2X3OTTi2AqST/wvM288o3QI6O4aC1DPMIw3LwVLkVkM4BM
 voVsvUtjkXPAhLbPcYbSu2fchDgo+P0CKxZnSLK8y5E+FBm5GtcoIjK3WLu0PoKe
 H6A=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail1.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id G2Va-42gABv1; Tue, 25 Jan 2022 22:15:21 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 7F233163CB;
 Tue, 25 Jan 2022 22:15:21 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <680E378A-BF43-4F47-BD2A-525A57283F49@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87ilu77e3i.fsf@HIDDEN>
 <680E378A-BF43-4F47-BD2A-525A57283F49@HIDDEN>
Date: Tue, 25 Jan 2022 22:15:21 +0100
Message-ID: <87a6fj7c0m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

>> Am 25.01.2022 um 21:30 schrieb Jonas Bernoulli <jonas@HIDDEN>:
>> 
>> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>> 
>>> Philipp Stephani <p.stephani2@HIDDEN> writes:
>>> 
>>>> Transient has its own manual (transient.org/.texi), but that's missing
>>>> from the version shipped with Emacs.  Could we add the manual to the
>>>> Emacs release?
>>> 
>>> Sounds like a good idea to me; adding Jonas to the CCs.
>> 
>> Agreed.  I was planning to create a new release first and merge that
>> into "emacs-28" before doing so, but it seems the ship has sailed.
>> 
>> On the other hand it contains important bug fixes (but also new
>> features) and nothing on "emacs-28" uses it yet.  So maybe it would
>> still be okay to update even during the pre-release phase; I don't know.
>> Removing it from "emacs-28" and only releasing it in 29 (or maybe 28.2)
>> might also be an option.
>
> Or maybe it would be feasible to add the manual version that
> corresponds to the Emacs 28 version?

Yes.  Just saying that wasn't the plan.  (And that won't make the bugs
go away.  And some of them were quite severe, but I believe that those
that made it necessary to kill Emacs from the outside have at least
been neutered, i.e. there's still an error but Emacs remains usable.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 25 Jan 2022 20:41:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 15:41:40 2022
Received: from localhost ([127.0.0.1]:50262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCSdH-0007qf-UC
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 15:41:40 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:45738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1nCSdE-0007qQ-Cl
 for 53316 <at> debbugs.gnu.org; Tue, 25 Jan 2022 15:41:39 -0500
Received: by mail-wr1-f52.google.com with SMTP id r25so5378419wrc.12
 for <53316 <at> debbugs.gnu.org>; Tue, 25 Jan 2022 12:41:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=Fw7/pxQ7MPtKoB9WjPMmF5unKSsm6niSUq3ogFG4p/0=;
 b=f/Sn7P4KPuXv0i/no2UigGFvw1hKr5nNaOCCc/H5uk8razM466qPVWX24EhB17tLr2
 a/rfOrbh9kfukNRrY/kvdXeCaKYm42SdjVB6hVJzJLsqKb/fjY9VOdp/BV92BahvP6WN
 dfyph7Px6/+EQyVokv+KSZSzDHGtXOYhoFMZHEY8kB5fV01wgJeVPuiW0Yr9wM3wazhM
 v/whXxnEhpz55CgReEIPBlJaWB2WpcpbES9GoxuyrN6nx5bEDX3TVvOMAXIdJooj1bwl
 Z3MJVfjuQxYImb5ISgttf2l5JYCJmhwOpnNThwtR5mmafvcEMsgNMCkdzUqYiL/haCrI
 jNOg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=Fw7/pxQ7MPtKoB9WjPMmF5unKSsm6niSUq3ogFG4p/0=;
 b=2a1duX2YJ7TgZmo1QN+S1GgSYvEoIuy9P0XmQgi7G9v/f3PQNK+aDfb/hAwva7HUcY
 jH6rx2wdVXSHEWyh1t2M1Dwa/+IfQcLd55TCXPlUus30hfzFXikAxYd6wNUR89TJJJbM
 ZhcEYWd09t7Gh83o9UagyTJmaYPH4XN5Ain8AzyS2nfej9QLATmQKa6P8WQp8YfGN0j0
 r0LzS35TpED+R7coaF3jkVnrdguCsVgM0fzFGRR60A9/OfwwVz8UGiUWvOvxyl54ticE
 kxMN9vRBwS8d0+lExyKPtrBu7Tu1Jv1jyc7KCpVMvFTv1Ne3cglhck5vNESXGA4zGlou
 HlBQ==
X-Gm-Message-State: AOAM532BJS9ufnIE/lemEfxi6QNwkuNV5ZSMQOs/58UyeAgGNCI7mfD4
 xF0sEOxVfzFG0WI9cGiiw0U=
X-Google-Smtp-Source: ABdhPJxG29kIxgkgCExFdmCAM+n69/LCUFKfuwkqxX7dlWswnxnNUwycGBS2FcU2w4GcFRARjYPk+Q==
X-Received: by 2002:a5d:610b:: with SMTP id v11mr19904517wrt.487.1643143290419; 
 Tue, 25 Jan 2022 12:41:30 -0800 (PST)
Received: from smtpclient.apple ([2a02:2455:2a4:dc00:d85e:f16a:2547:d608])
 by smtp.gmail.com with ESMTPSA id t4sm17741182wro.71.2022.01.25.12.41.29
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 25 Jan 2022 12:41:30 -0800 (PST)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 15.0 \(3693.40.0.1.81\))
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
From: Philipp Stephani <p.stephani2@HIDDEN>
In-Reply-To: <87ilu77e3i.fsf@HIDDEN>
Date: Tue, 25 Jan 2022 21:41:29 +0100
Content-Transfer-Encoding: quoted-printable
Message-Id: <680E378A-BF43-4F47-BD2A-525A57283F49@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
 <87ilu77e3i.fsf@HIDDEN>
To: Jonas Bernoulli <jonas@HIDDEN>
X-Mailer: Apple Mail (2.3693.40.0.1.81)
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 53316
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)



> Am 25.01.2022 um 21:30 schrieb Jonas Bernoulli <jonas@HIDDEN>:
>=20
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>=20
>> Philipp Stephani <p.stephani2@HIDDEN> writes:
>>=20
>>> Transient has its own manual (transient.org/.texi), but that's =
missing
>>> from the version shipped with Emacs.  Could we add the manual to the
>>> Emacs release?
>>=20
>> Sounds like a good idea to me; adding Jonas to the CCs.
>=20
> Agreed.  I was planning to create a new release first and merge that
> into "emacs-28" before doing so, but it seems the ship has sailed.
>=20
> On the other hand it contains important bug fixes (but also new
> features) and nothing on "emacs-28" uses it yet.  So maybe it would
> still be okay to update even during the pre-release phase; I don't =
know.
> Removing it from "emacs-28" and only releasing it in 29 (or maybe =
28.2)
> might also be an option.

Or maybe it would be feasible to add the manual version that corresponds =
to the Emacs 28 version?=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 25 Jan 2022 20:30:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 15:30:31 2022
Received: from localhost ([127.0.0.1]:50258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCSSU-0005qa-TK
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 15:30:31 -0500
Received: from mail.hostpark.net ([212.243.197.30]:58872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonas@HIDDEN>) id 1nCSST-0005mk-9t
 for 53316 <at> debbugs.gnu.org; Tue, 25 Jan 2022 15:30:30 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.hostpark.net (Postfix) with ESMTP id 5C9A3165D1;
 Tue, 25 Jan 2022 21:30:27 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=bernoul.li; h=
 content-type:content-type:mime-version:message-id:date:date
 :references:in-reply-to:subject:subject:from:from:received
 :received; s=sel2011a; t=1643142625; bh=Vqktw5DiAF24sf5MVx2Myr7D
 iquE7yIn49EY4sAmmL8=; b=aOs+qUfTXQuZ2kMZ0/soAHqPdre+j8Xe88awJY/o
 uVgNCSGcNjT3+tl7sQiWG1uyrx4frJ8Zzu9iScXlPgW5Eqa9f24vd+MZ/6WzJkOm
 Zk2d2SwMR/vLruiTlAN2qjbLcW7iOZRLhEsLM50Fo2xyBAkj885iV88aA+4Zd6Wj
 Y34=
X-Virus-Scanned: by Hostpark/NetZone Mailprotection at hostpark.net
Received: from mail.hostpark.net ([127.0.0.1])
 by localhost (mail0.hostpark.net [127.0.0.1]) (amavisd-new, port 10224)
 with ESMTP id nwcLDRBFN8Io; Tue, 25 Jan 2022 21:30:25 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange ECDHE (P-256) server-signature RSA-PSS (2048 bits) server-digest
 SHA256) (No client certificate requested)
 by mail.hostpark.net (Postfix) with ESMTPSA id 33768165CB;
 Tue, 25 Jan 2022 21:30:25 +0100 (CET)
From: Jonas Bernoulli <jonas@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Philipp Stephani
 <p.stephani2@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
In-Reply-To: <87o845s4xv.fsf@HIDDEN>
References: <wvr41r16pl29.fsf@HIDDEN> <87o845s4xv.fsf@HIDDEN>
Date: Tue, 25 Jan 2022 21:30:25 +0100
Message-ID: <87ilu77e3i.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 53316
Cc: 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Philipp Stephani <p.stephani2@HIDDEN> writes:
>
>> Transient has its own manual (transient.org/.texi), but that's missing
>> from the version shipped with Emacs.  Could we add the manual to the
>> Emacs release?
>
> Sounds like a good idea to me; adding Jonas to the CCs.

Agreed.  I was planning to create a new release first and merge that
into "emacs-28" before doing so, but it seems the ship has sailed.

On the other hand it contains important bug fixes (but also new
features) and nothing on "emacs-28" uses it yet.  So maybe it would
still be okay to update even during the pre-release phase; I don't know.
Removing it from "emacs-28" and only releasing it in 29 (or maybe 28.2)
might also be an option.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at 53316 <at> debbugs.gnu.org:


Received: (at 53316) by debbugs.gnu.org; 21 Jan 2022 11:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 21 06:29:12 2022
Received: from localhost ([127.0.0.1]:60367 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nAs6R-0007c7-SW
	for submit <at> debbugs.gnu.org; Fri, 21 Jan 2022 06:29:12 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33394)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nAs6P-0007bo-TS
 for 53316 <at> debbugs.gnu.org; Fri, 21 Jan 2022 06:29:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=eL2wpvZKv7Q+SQFOrEA0Q2VzIE8boR3vWxNTvI3dyy0=; b=cxH+KaLcWw17bk05VNl5V60J/J
 pHFRYM2KthzMkSt0/m97U31PLq/N/0kYV18zfv4Ps78gm5PmXDMj0mGymTECVDJcy6NXzucKjh/7/
 W1bUFWmBX17Pc6tfRbezAwottUy9HvPf5cmYS60aWIYTS8JycDDROZcxW/501mbujBKs=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nAs6H-0002zw-2Z; Fri, 21 Jan 2022 12:29:03 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs
References: <wvr41r16pl29.fsf@HIDDEN>
X-Now-Playing: Chem Farmer's _Levitation Sessions_: "Nite Expo"
Date: Fri, 21 Jan 2022 12:29:00 +0100
In-Reply-To: <wvr41r16pl29.fsf@HIDDEN> (Philipp Stephani's message of "Mon, 
 17 Jan 2022 14:07:42 +0100")
Message-ID: <87o845s4xv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Philipp Stephani <p.stephani2@HIDDEN> writes: > Transient
 has its own manual (transient.org/.texi), but that's missing > from the version
 shipped with Emacs. Could we add the manual to the > Emacs release? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53316
Cc: Jonas Bernoulli <jonas@HIDDEN>, 53316 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Philipp Stephani <p.stephani2@HIDDEN> writes:

> Transient has its own manual (transient.org/.texi), but that's missing
> from the version shipped with Emacs.  Could we add the manual to the
> Emacs release?

Sounds like a good idea to me; adding Jonas to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jan 2022 13:08:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 08:08:35 2022
Received: from localhost ([127.0.0.1]:45025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9RkQ-0004Jz-Ts
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 08:08:35 -0500
Received: from lists.gnu.org ([209.51.188.17]:52244)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1n9RkN-0004Jq-Fu
 for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 08:08:33 -0500
Received: from eggs.gnu.org ([209.51.188.92]:34472)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1n9RkN-0007Yz-1b
 for bug-gnu-emacs@HIDDEN; Mon, 17 Jan 2022 08:08:31 -0500
Received: from [2a00:1450:4864:20::32e] (port=39801
 helo=mail-wm1-x32e.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <p.stephani2@HIDDEN>)
 id 1n9RkL-0005jH-4n
 for bug-gnu-emacs@HIDDEN; Mon, 17 Jan 2022 08:08:30 -0500
Received: by mail-wm1-x32e.google.com with SMTP id
 d18-20020a05600c251200b0034974323cfaso24206617wma.4
 for <bug-gnu-emacs@HIDDEN>; Mon, 17 Jan 2022 05:07:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=tlbqkseojvEFiwOwi01xCaMGwcyyRdvYoqCNG+IpYmo=;
 b=Ovku/KuP7XrThnI5BfojA5EkF7FZKX3kVdt25KtB5LI/O3nOerX9wGgtRcEp2Ysa9u
 mFezXcefVwgvpImCOC+n7cqznhv+A2m0NVHwxAZ8kHetBCir7PbM16UfpoRv04UMhzWj
 tXsIYY3I64MWj83B7CPkIMHjodJo18zOHuG/5ktm/UgG0u6seGIpPC2Oqavz2/zjyxSe
 lRM+l9PAn+8vl6czXzn1Q44oEClggvz3LFElGwx4uBkb5Z3r4xeB1SjBMfe55p3OsvVC
 /6MwJ+QfO5OHF7tDoCsQgbiPJ8G88Sgnk4AkXnFuEq/KXI7i7DxSMNpaKxUNyi/hpjBx
 g7bA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=tlbqkseojvEFiwOwi01xCaMGwcyyRdvYoqCNG+IpYmo=;
 b=6sCmAjrZVXztj9vb4AFEP/cwfK+m8373rPaojXUvAy4T0LhErGM7dsn4amVi8wFOMw
 EhM+jJXCI9Qw0u2kZL+tgo1t+c7wrjKVmKQ78SLygLJifRkHM3T6b7upTX0zlo8HULeq
 LsXmh7PhuusyEJbNa2hnHNr4iPi0/ktLEAEDSFrltv4SwLSgqMnJeSqYD6SvHOQOAS5h
 sa+52sofiEtx0E7SRdFm4s88pQ60vAreLKKlGh1g7PLEtcHu9VgoIZBYqVnesOgjQYyG
 gTMf/PzAquNzzcqKmbHfstSkKvOJjpKdqqMrCsQOd0QemNZX99wczTX8OzGQbySl7bOg
 QO1A==
X-Gm-Message-State: AOAM533QwrElHcy8ZIwlmfelstMsMXV95kK96GxE6rhNPoDmjIhxyWXL
 +WN2yscC8nuU9F6lYezKy7d8fLz3y6g=
X-Google-Smtp-Source: ABdhPJxF7pVBNmE8nZLEPDYotnDUgidgW3Y+QcZvZ7/0r0pFtU82m2H9VMb+sGKCFWwa1BDLdaXMJQ==
X-Received: by 2002:a05:6000:1acc:: with SMTP id
 i12mr18459865wry.256.1642424864668; 
 Mon, 17 Jan 2022 05:07:44 -0800 (PST)
Received: from phst ([2a02:2455:2a4:dc00:6bbf:261f:9b3:c72f])
 by smtp.gmail.com with ESMTPSA id i6sm9592554wrf.21.2022.01.17.05.07.43
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 17 Jan 2022 05:07:44 -0800 (PST)
From: Philipp Stephani <p.stephani2@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.91; Missing Transient manual in Emacs
Date: Mon, 17 Jan 2022 14:07:42 +0100
Message-ID: <wvr41r16pl29.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::32e
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::32e;
 envelope-from=p.stephani2@HIDDEN; helo=mail-wm1-x32e.google.com
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, PDS_HP_HELO_NORDNS=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Transient has its own manual (transient.org/.texi),
 but that's
 missing from the version shipped with Emacs. Could we add the manual to the
 Emacs release? In GNU Emacs 28.0.91 (build 6, x86_64-pc-linux-gnu, GTK+ Version
 3.24.30,
 cairo version 1.16.0) of 2022-01-15 Repository revision:
 7f36aca99dc1387cfeb599c9f2bb781036f79cf1
 Repository branch: emacs-28 [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (p.stephani2[at]gmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (p.stephani2[at]gmail.com)
 -2.3 RCVD_IN_DNSWL_MED      RBL: Sender listed at https://www.dnswl.org/,
 medium trust [209.51.188.17 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.51.188.17 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.3 SPOOFED_FREEMAIL       No description available.
 1.5 SPOOF_GMAIL_MID        From Gmail but it doesn't seem to be...
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Transient has its own manual (transient.org/.texi), but that's missing
from the version shipped with Emacs.  Could we add the manual to the
Emacs release?


In GNU Emacs 28.0.91 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, c=
airo version 1.16.0)
 of 2022-01-15
Repository revision: 7f36aca99dc1387cfeb599c9f2bb781036f79cf1
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12013000
System Description: Debian GNU/Linux rodete

Configured using:
 'configure --enable-gcc-warnings=3Dwarn-only
 --enable-gtk-deprecation-warnings --without-pop --with-mailutils
 --enable-checking=3Dall --enable-check-lisp-object-type --with-modules
 'CFLAGS=3D-O0 -ggdb3''

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP
SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_TIME: en_DK.utf8
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail phst skeleton edmacro kmacro
pcase ffap thingatpt url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util url-parse url-vars mailcap rx
message rmc dired dired-loaddefs rfc822 mml mml-sec epa derived epg
rfc6068 epg-config gnus-util rmail rmail-loaddefs auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json map
time-date mm-decode mm-bodies mm-encode mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr mailabbrev mail-utils gmm-utils
mailheader gnutls puny elp dbus xml subr-x seq byte-opt gv bytecomp
byte-compile cconv compile text-property-search comint ansi-color ring
cl-loaddefs cl-lib iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 69543 6664)
 (symbols 48 8543 3)
 (strings 32 24824 2518)
 (string-bytes 1 802012)
 (vectors 16 15668)
 (vector-slots 8 207469 16091)
 (floats 8 29 46)
 (intervals 56 228 0)
 (buffers 992 11))

--=20
Google Germany GmbH
Erika-Mann-Stra=C3=9Fe 33
80636 M=C3=BCnchen

Gesch=C3=A4ftsf=C3=BChrer: Paul Manicle, Halimah DeLaine Prado
Registergericht und -nummer: Hamburg, HRB 86891
Sitz der Gesellschaft: Hamburg

Diese E-Mail ist vertraulich.  Falls Sie diese f=C3=A4lschlicherweise erhal=
ten haben
sollten, leiten Sie diese bitte nicht an jemand anderes weiter, l=C3=B6sche=
n Sie
alle Kopien und Anh=C3=A4nge davon und lassen Sie mich bitte wissen, dass d=
ie E-Mail
an die falsche Person gesendet wurde.

This e-mail is confidential.  If you received this communication by mistake,
please don=E2=80=99t forward it to anyone else, please erase all copies and
attachments, and please let me know that it has gone to the wrong person.




Acknowledgement sent to Philipp Stephani <p.stephani2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53316; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Feb 2022 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.